<%
    session[:companies_search].each do |key, value|
        if value.class.eql?(Array)
            value.each do |v|
                session[:companies_search][key].reject!{ |x| x == v && v == ""}
            end
        else
            # if value.blank?
                session[:companies_search].reject!{ value == ""}
            # end
        end
    end
    session[:companies_search].reject!{ |x| x.empty? || x.blank? }
%>
<% filtered_data = session[:companies_search] %>
<% logger.info { "data=======#{filtered_data.inspect}" } %>
<div class="col-md-3">
    <div class="filter-sec bg_none">
        <div class="col-sm-12">
            <h1 class="title">Filter <a class="expand collaps" id="mexpand" href="javascript:void(0)"></a></h1>
            <div class="mobile-expand">
                <ul>
                    <li class="filter_select">
                        <!-- <select class="select2 type_select" id="type_select">
                            <option name='type' value='h1b'>H1B</option>
                            <option name='type' value='greencard'>Green Card</option>
                            <option name='type' value='alumni'>School Alumni</option>
                        </select> -->
                        <% if ((current_user.school_id == 72) || (current_user.id == 72) || (current_user.parent_school_id == 72) || (current_user.school_admin_id == 72)) || ((current_user.school_id == 83) || (current_user.id == 83) || (current_user.parent_school_id == 83) || (current_user.school_admin_id == 83))  %>
                            <%= select_tag 'type', options_for_select([ ['H1B', 'h1b'], ['Green Card', 'greencard'], ['School Alumni', 'alumni'] ]), class: 'select2 type_select', id: 'type_select' %>
                        <% else %>
                            <%= select_tag 'type', options_for_select([ ['H1B', 'h1b'], ['Green Card', 'greencard'] ]), class: 'select2 type_select', id: 'type_select' %>
                        <% end %>
                    </li>
                </ul>
                <ul>
                    <li class="filter_select">
                        <!-- <select class="select2 areatype_select">
                            <option name='areatype' value='industry'>Industry</option>
                            <option name='areatype' value='company'>Company</option>
                        </select> -->
                        <%= select_tag 'areatype', options_for_select([ ['Industry', 'industry'], ['Company', 'company'] ]), class: 'select2 areatype_select' %>
                    </li>
                </ul>
                <div class="search_companies">
                        <!-- <select class="select2 year_select">
                        <option name='year' value='2016'>2016</option>
                        <option name='year' value='2017'>2017</option>
                    </select> -->
                    <div class="form-group year_list">
                        <label>Year</label>
                        <!-- <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Year">Clear</p> -->
                        <%= select_tag 'year', options_for_select([ ['2016', '2016'], ['2017', '2017'] ], 2017), class: 'select2 year_select form-control', multiple: true %>
                    </div>
                    <div class="form-group company_list hide">
                        <label>Companies</label>
                        <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Industries">Clear</i></p>
                        <!-- <input type="text" class="form-control" placeholder="Companies"> -->
                        <%= f.select :company_ids, options_for_select(@companies.map{ |c| [ c.company_name, c.id ] }), {prompt: 'Select Company'}, class: 'select2 select_company_main form-control', multiple: 'multiple' %>
                    </div>
                    <div class="form-group industry_list">
                        <label>Industries</label>
                        <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Industries">Clear</p>

                        <!-- <input type="text" class="form-control" placeholder="Industries"> -->
                        <%= f.select :industry_ids, options_for_select(@industries.map{ |c| [ c.industry_name, c.id ] }), {prompt: 'Select Industry'}, class: 'select2 select_industry_main form-control', multiple: 'multiple' %>
                    </div>
                    <%#= f.select :state_ids, options_for_select(@states.map{ |x| [ x.state_name, x.id ] }), {}, {class: 'form-control select2 select_state', multiple: 'multiple'} %>
                    <div class="form-group state_list">
                        <label>State</label>
                        <p class="pull-right clear-all" data-toggle="tooltip" title="Clear States">Clear</p>
                        <!-- <input type="text" class="form-control" placeholder="State"> -->
                        <%= f.select :state_ids, options_for_select(@states.map{ |c| [ c.state_name, c.id ] }), {prompt: 'Select State'}, class: 'select2 select_state_main form-control', multiple: 'multiple' %>
                        <%#= f.select :state_ids, options_for_select(@states.map{ |x| [ x.state_name, x.id ] }), {}, {class: 'form-control select2 select_state', multiple: 'multiple'} %>
                    </div>
                    <div class="form-group">
                        <label>City</label>
                        <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Cities">Clear</p>
                        <!-- <input type="text" class="form-control" placeholder="City"> -->
                        <%= f.select :city_ids, options_for_select(@cities.map{ |x| [ x.city_name, x.id ] }), {}, {class: 'form-control select2 select_city', multiple: 'multiple'} %>
                    </div>
                    <div id="GreenCard">
                        <!-- <div class="col-sm-6"> -->
                            <div class="form-group">
                                <label>Birth Country</label>
                                <p class="pull-right clear-all" data-toggle="tooltip" title="Clear birth coutry">Clear</p>
                                <!-- <input type="text" class="form-control" placeholder="State"> -->
                                <%= f.select :birth_country_ids, [], {}, {class: 'form-control select2 select_birth_country', multiple: 'multiple'} %>
                            </div>
                        <!-- </div> -->
                        <!-- <div class="col-sm-6"> -->
                            <div class="form-group">
                                <label>University</label>
                                <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Universitites">Clear</p>
                                <!-- <input type="text" class="form-control" placeholder="City"> -->
                                <%= f.select :university_ids, [], {}, {class: 'form-control select2 select_university', multiple: 'multiple'} %>
                            </div>
                        <!-- </div> -->
                    </div>
                    <div id="alumni">
                        <!-- <div class="col-sm-6"> -->
                            <div class="form-group">
                                <label>Graduation Year</label>
                                <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Graduation Year">Clear</p>
                                <%= f.select :graduation_year_ids, [], {}, {class: 'form-control select2 select_graduation_year', multiple: 'multiple'} %>
                            </div>
                        <!-- </div> -->
                        <!-- <div class="col-sm-6"> -->
                            <div class="form-group">
                                <label>Function</label>
                                <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Function">Clear</p>
                                <%= f.select :emp_function_ids, [], {}, {class: 'form-control select2 select_function', multiple: 'multiple'} %>
                            </div>
                        <!-- </div> -->
                    </div>
                    <div class="form-group">
                        <label>Job Title</label>
                        <p class="pull-right clear-all" data-toggle="tooltip" title="Clear Job Titles">Clear</p>
                        <!-- <input type="text" class="form-control" placeholder="Enter job title"> -->
                        <%= f.select :job_title_ids, options_for_select(@job_titles.map{ |x| [ x.job_title_name, x.id ] }), {}, {class: 'form-control select2 select_job_title', multiple: 'multiple'} %>
                    </div>
                    <div class="form-group">
                        <!-- <input type="button" class="btn btn-theme rounded" value="Submit"> -->
                        <%= f.submit 'Submit', class: 'btn btn-submit search_company_btn' %>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function(){

    var flag = 0

    <% if filtered_data['type'].present? %>
        flag += 1
        var type = "<%= filtered_data['type'] %>"
        $('.type_select').val(type).select2().trigger('change')
    <% end %>

    <% if filtered_data['areatype'].present? %>
    // $('.type_select').change(function(){
        flag += 1
        var areatype = "<%= filtered_data['areatype'] %>"
        $('.areatype_select').val(areatype).select2().trigger('change')
    // })
    <% end %>

    <% if filtered_data['year'].present? %>
        console.log("====================year change =================");
        flag += 1
        // $('.year_select').change(function(){
        var year = <%= filtered_data['year'].to_json.html_safe %>
        $('.year_select').val(year).select2().trigger('change')
            // $.each(year, function(index, value){
            // for(var i = 0; i < year.length; i++ ){
            //     console.log(year);
            //     console.log(year[i]);
            //     $('.year_select').val(["2016", "2017"]).select2().trigger('change')
            // }
        // })
    <% end %>

    <% if filtered_data['areatype'].eql?('company') %>
        flag += 1
        console.log("=====in comp========");
        var company_ids = <%= filtered_data['company_ids'].to_json.html_safe %>
        $('.select_company_main').val(company_ids).select2().trigger('change')
        $('.select_company_main').select2({
            placeholder: 'Select Company',
            ajax: {
                // url: '/companies/company_select2?tab_type='+$('#type_select_val').val(),
                url: '/companies/company_select2?tab_type='+$('#type_select_val').val(),
                dataType: 'json',
                data: function(term){
                    return{
                        term: term
                    };
                },
                processResults: function (data) {
                    return {
                        results: $.map(data, function (item) {
                            return {
                                text: item.company_name.toProperCase(),
                                // slug: item.slug,
                                id: item.id
                            }
                        })
                    };
                }
            }
        })
        // $('.select_company_main').select2('val', company_ids, true);
        // var newOption = $("<option selected></option>").val(company_ids)
        // $(".select_company_main").append(newOption).trigger('change');
    <% else %>
        flag += 1
        var industry_ids = <%= filtered_data['industry_ids'].to_json.html_safe %>
        $('.select_industry_main').val(industry_ids).select2().trigger('change')
        $('.select_industry_main').select2({
            placeholder: 'Select Industry',
            ajax: {
                // url: '/companies/industry_select2?tab_type='+$('#type_select_val').val(),
                url: '/companies/industry_select2?tab_type='+$('#type_select_val').val(),
                dataType: 'json',
                data: function(term){
                    return{
                        term: term
                    };
                },
                processResults: function (data) {
                    return {
                        results: $.map(data, function (item) {
                            return {
                                text: item.industry_name.toProperCase(),
                                // slug: item.slug,
                                id: item.id
                            }
                        })
                    };
                }
            }
        })
    <% end %>

    <% if filtered_data['state_ids'].present? %>
        flag += 1
        var state_ids = <%= filtered_data['state_ids'].to_json.html_safe %>
        $('.select_state_main').val(state_ids).select2().trigger('change')
    <% end %>

    <% if filtered_data['city_ids'].present? %>
        flag += 1
        console.log('city');
        var city_ids = <%= filtered_data['city_ids'].to_json.html_safe %>
        console.log('=====city=========');
        $('.select_city').val(city_ids).select2().trigger('change')
        $( ".select_city" ).select2({
            placeholder: 'Select City',
            ajax: {
                // url: '/companies/city_select2?tab_type='+$('#type_select_val').val()+"&state_ids="+$('#search_state_ids').val(),
                url: '/companies/city_select2?tab_type='+$('#type_select_val').val()+"&state_ids="+$('#search_state_ids').val(),
                dataType: 'json',
                data: function(term){
                    return{
                        term: term
                    };
                },
                processResults: function (data) {
                    return {
                        results: $.map(data, function (item) {
                            return {
                                text: item.city_name.toProperCase(),
                                // slug: item.slug,
                                id: item.id
                            }
                        })
                    };
                }
            }
        });
    <% end %>


    <% if filtered_data['job_title_ids'].present? %>
        flag += 1
        var job_title_ids = <%= filtered_data['job_title_ids'].to_json.html_safe %>
        $('.select_job_title').val(job_title_ids).select2().trigger('change')
        $( ".select_job_title" ).select2({
            placeholder: 'Select Job Title',
            ajax: {
                // url: '/companies/job_title_select2?tab_type='+tab_type,
                url: '/companies/job_title_select2?tab_type='+$('#type_select_val').val(),
                dataType: 'json',
                data: function(term){
                    return{
                        term: term
                    };
                },
                processResults: function (data) {
                    return {
                        results: $.map(data, function (item) {
                            return {
                                text: item.job_title_name.toProperCase(),
                                // slug: item.slug,
                                id: item.id
                            }
                        })
                    };
                }
            }
        });
    <% end %>

    <% if filtered_data['birth_country_ids'].present? %>
        flag += 1
        var birth_country_ids = <%= filtered_data['birth_country_ids'].to_json.html_safe %>
        $('.select_birth_country').val(birth_country_ids).select2().trigger('change')
    <% end %>

    <% if filtered_data['university_ids'].present? %>
        flag += 1
        var university_ids = <%= filtered_data['university_ids'].to_json.html_safe %>
        $('.select_university').val(university_ids).select2().trigger('change')
    <% end %>

    <% if filtered_data['graduation_year_ids'].present? %>
        flag += 1
        var graduation_year_ids = <%= filtered_data['graduation_year_ids'].to_json.html_safe %>
        $('.select_graduation_year').val(graduation_year_ids).select2().trigger('change')
    <% end %>

    <% if filtered_data['emp_function_ids'].present? %>
        flag += 1
        var emp_function_ids = <%= filtered_data['emp_function_ids'].to_json.html_safe %>
        $('.select_function').val(emp_function_ids).select2().trigger('change')
    <% end %>

    console.log(flag);
    if(flag > 0){
        // $('.search_company_btn').trigger('click')
        $('.search_filter_form').submit()
    }

})
</script>
